/*
 *  Appindex browser
 *  Copyright (C) 1999 Martin Hinner <mhi@penguin.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 1, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#ifndef __appindex_h
#define __appindex_h

#define LINE_LEN     10240          /* I think this is enough for all lines */

#define INFO_LINES   10

#define CP_HEADER   1
#define CP_NORMAL   2
#define CP_SELECTED 3
#define CP_KEY      4
#define CP_KEYTEXT  5
#define CP_INFOKEY  6
#define CP_INFOVAL  7
#define CP_ERROR    8

#define COLOR_MAX   8

struct app {
 char *name;
 char *stable;
 char *devel;
 char *license;
 char *homepage;
 char *download;
 char *changelog;
 char *deb; 
 char *rpm;
 char *link;
 char *desc;
 struct app *next;                /* Next application */
 struct app *prev;                /* Previsous application */
};

struct category {
 char *name;
 struct app *apps;
 struct category *next;
 struct category *prev;
 int appno;
};

extern void load_appindex(char *file);
extern void trap(int sig);
extern void die(char *s);
extern void error(char *s);
extern void warning(char *s);
extern void loadstat(int n);
extern void category_selection(struct category *cat);
extern void app_selection (struct app *app,char *catname,int appno);
extern void relink_cat();
extern void run_browser(char *url);
extern void parse_config(char *filename);
extern int configure();
extern void null_config();


extern char gendate[LINE_LEN];
extern char *browser;
extern struct category *categories;
extern int catno;
extern int colors[COLOR_MAX+1];

#endif
