/*
 *  Appindex browser
 *  Copyright (C) 1999 Martin Hinner <mhi@penguin.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 1, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <stdio.h>
#include <string.h>
#include <ncurses.h>

#include "appindex.h"

char *browser;
int colors[COLOR_MAX + 1];

extern FILE *yyin;
extern int yyparse (void);

void
parse_config (char *filename)
{

  yyin = fopen (filename, "r");

  if (!yyin)
    {
      return;
    }

  if (yyparse ())
    {
      exit (1);
    }
}

int
configure ()
{
  if (!browser)
    browser = strdup ("lynx");

  if (!browser)
    {
      fprintf (stderr, "No memory!\n");
      return -1;
    }

  if (browser[strlen (browser) - 1] != ' ')
    strcat (browser, " ");

  if (colors[CP_HEADER] == 0)
    colors[CP_HEADER] = (COLOR_WHITE << 4) | COLOR_BLUE;
  if (colors[CP_NORMAL] == 0)
    colors[CP_NORMAL] = (COLOR_WHITE << 4) | COLOR_BLACK;
  if (colors[CP_SELECTED] == 0)
    colors[CP_SELECTED] = (COLOR_YELLOW << 4) | COLOR_RED;
  if (colors[CP_KEY] == 0)
    colors[CP_KEY] = (COLOR_YELLOW << 4) | COLOR_BLUE;
  if (colors[CP_KEYTEXT] == 0)
    colors[CP_KEYTEXT] = (COLOR_BLUE << 4) | COLOR_BLUE;
  if (colors[CP_INFOKEY] == 0)
    colors[CP_INFOKEY] = (COLOR_WHITE << 4) | COLOR_BLACK;
  if (colors[CP_INFOVAL] == 0)
    colors[CP_INFOVAL] = (COLOR_CYAN << 4) | COLOR_BLACK;
  if (colors[CP_ERROR] == 0)
    colors[CP_ERROR] = (COLOR_YELLOW << 4) | COLOR_RED;
  return 0;
}

void
null_config ()
{
  int x;

  browser = 0;
  for (x = 0; x <= COLOR_MAX; x++)
    colors[x] = 0;

}
